<?xml version="1.0" encoding="UTF-8"?>

<?import javafx.geometry.Insets?>
<?import javafx.scene.control.Button?>
<?import javafx.scene.control.ComboBox?>
<?import javafx.scene.control.DatePicker?>
<?import javafx.scene.control.Label?>
<?import javafx.scene.control.RadioButton?>
<?import javafx.scene.control.Separator?>
<?import javafx.scene.control.SplitPane?>
<?import javafx.scene.control.ToggleGroup?>
<?import javafx.scene.control.ToolBar?>
<?import javafx.scene.layout.AnchorPane?>
<?import javafx.scene.layout.HBox?>
<?import javafx.scene.layout.VBox?>

<AnchorPane id="AnchorPane" prefHeight="600.0" prefWidth="800.0" xmlns="http://javafx.com/javafx/8.0.65" xmlns:fx="http://javafx.com/fxml/1" fx:controller="com.exabit.dpromo.informes.InformesController">
   <children>
      <ToolBar prefHeight="40.0" prefWidth="200.0" AnchorPane.leftAnchor="0.0" AnchorPane.rightAnchor="0.0" AnchorPane.topAnchor="0.0">
        <items>
          <Button fx:id="btnGenerarInforme" mnemonicParsing="false" onAction="#onActionBtnGenerarInforme" text="Generar" />
            <Button fx:id="btnExportarXLS" disable="true" mnemonicParsing="false" onAction="#onActionExportarXLS" text="Exportar XLS" />
        </items>
      </ToolBar>
      <SplitPane fx:id="splpaneInforme" dividerPositions="0.7385786802030457" layoutX="14.0" layoutY="47.0" prefHeight="160.0" prefWidth="200.0" AnchorPane.bottomAnchor="5.0" AnchorPane.leftAnchor="5.0" AnchorPane.rightAnchor="5.0" AnchorPane.topAnchor="45.0">
        <items>
          <AnchorPane fx:id="apaneIzqInforme" minHeight="0.0" minWidth="0.0" prefHeight="160.0" prefWidth="100.0" />
          <AnchorPane minHeight="0.0" minWidth="0.0" prefHeight="160.0" prefWidth="100.0">
               <children>
                  <Label layoutX="34.0" layoutY="15.0" text="Promoción" AnchorPane.leftAnchor="5.0" AnchorPane.topAnchor="5.0" />
                  <ComboBox fx:id="cmbPromocionPorCliente" layoutX="-43.0" layoutY="43.0" prefHeight="26.0" prefWidth="191.0" AnchorPane.leftAnchor="5.0" AnchorPane.rightAnchor="5.0" AnchorPane.topAnchor="25.0" />
                  <Separator layoutX="1.0" layoutY="67.0" prefWidth="200.0" AnchorPane.leftAnchor="5.0" AnchorPane.rightAnchor="5.0" AnchorPane.topAnchor="60.0" />
                  <VBox fx:id="vboxItemsPorCliente" layoutX="98.0" layoutY="-34.0" prefHeight="200.0" prefWidth="100.0" spacing="5.0" AnchorPane.leftAnchor="0.0" AnchorPane.rightAnchor="0.0" AnchorPane.topAnchor="65.0">
                     <children>
                        <RadioButton fx:id="rdbTodosCupones" mnemonicParsing="false" selected="true" text="Todos">
                           <toggleGroup>
                              <ToggleGroup fx:id="tggRango" />
                           </toggleGroup>
                        </RadioButton>
                        <RadioButton fx:id="rdbRancoFechaCupones" mnemonicParsing="false" onAction="#onActionRdbRango" text="Rango" toggleGroup="$tggRango" />
                        <Label text="Desde" />
                        <DatePicker fx:id="dpkDesde" disable="true" />
                        <HBox prefHeight="100.0" prefWidth="200.0">
                           <children>
                              <ComboBox fx:id="cmbHoraDesde" disable="true" prefWidth="150.0" />
                              <Label text=":" />
                              <ComboBox fx:id="cmbMinutoDesde" disable="true" prefWidth="150.0" />
                           </children>
                        </HBox>
                        <Label text="Hasta" />
                        <DatePicker fx:id="dpkHasta" disable="true" />
                        <HBox prefHeight="100.0" prefWidth="200.0">
                           <children>
                              <ComboBox fx:id="cmbHoraHasta" disable="true" prefWidth="150.0" />
                              <Label text=":" />
                              <ComboBox fx:id="cmbMinutoHasta" disable="true" prefWidth="150.0" />
                           </children>
                        </HBox>
                     </children>
                     <padding>
                        <Insets bottom="5.0" left="5.0" right="5.0" top="5.0" />
                     </padding>
                  </VBox>
                  <Separator layoutX="5.0" layoutY="294.0" prefWidth="200.0" AnchorPane.leftAnchor="5.0" AnchorPane.rightAnchor="5.0" AnchorPane.topAnchor="285.0" />
                  <RadioButton fx:id="rdbTipoPorCliente" layoutX="14.0" layoutY="299.0" mnemonicParsing="false" selected="true" text="Por Clientes">
                     <toggleGroup>
                        <ToggleGroup fx:id="tggTipoReporte" />
                     </toggleGroup>
                  </RadioButton>
                  <RadioButton fx:id="rdbTipoPorClienteTienda" layoutX="13.0" layoutY="325.0" mnemonicParsing="false" text="Por Cliente y Tienda" toggleGroup="$tggTipoReporte" />
               </children></AnchorPane>
        </items>
      </SplitPane>
   </children>
</AnchorPane>
